% analysis of variance: ANOVA
% between four populations at the moment
% function F = anova(X1, X2, X3, X4)

function F = anova(X1, X2, X3, X4)

k = 4; % number of groups

dfw = length(X1) + length(X2) + length(X3) + length(X4) - k
dfb = k - 1

% raw score method

N = length(X1) + length(X2) + length(X3) + length(X4);

SSb = (sum(X1))^2/length(X1) + (sum(X2))^2/length(X2) + (sum(X3))^2/length(X3) + (sum(X4))^2/length(X4) - (sum([X1 X2 X3 X4]))^2/N;

SSt = sum([X1.^2 X2.^2 X3.^2 X4.^2]) - (sum([X1 X2 X3 X4]))^2/N;

SSw = SSt - SSb;

MSb = SSb/dfb;

MSe = SSw/dfw

F = MSb/MSe;

Rsquared = SSb/SSt