% matalab script to get phase plots of rmh stepping data

stepfree = readdof('mhr122','f:\mike\gait analysis\mhr');
stepzero = readdof('mhr129','f:\mike\gait analysis\mhr');
step15 = readdof('mhr136','f:\mike\gait analysis\mhr');
step30 = readdof('mhr143','f:\mike\gait analysis\mhr');

stepfree = stepfree(1000:4000,118);
stepzero = stepzero(1000:4000,118);
step15 = step15(1000:4000,118);
step30 = step30(1000:4000,118);

stepfree = stepfree;
stepzero = stepzero;
step15 = step15;
step30 = step30;

vsfree = datav(stepfree(:)).*152;
vszero = datav(stepzero(:)).*152;
vs15 = datav(step15(:)).*152;
vs30 = datav(step30(:)).*152;

figure
plot(stepzero(1:length(stepfree)-1),vszero,'r.')
hold on
plot(step15(1:length(stepfree)-1),vs15,'g.')
plot(step30(1:length(stepfree)-1),vs30,'c.')
plot(stepfree(1:length(stepfree)-1),vsfree,'b.')

xlabel('ant/post CG position, cm')
ylabel('ant/post CG velocity, cm/s')
title('ant/post CG phase plot, MHR step-up')
legend('0% BWS','15% BWS','30% BWS', 'free')

figure
subplot(2,2,1), plot(stepfree(1:length(stepfree)-1),vsfree,'k.')
xlabel('ant/post CG position, cm')
ylabel('ant/post CG velocity, cm/s')
grid on
axis([-20 20 -50 50])
title('ant/post CG phase plot, MHR step-up, free')
subplot(2,2,2), plot(stepzero(1:length(stepfree)-1),vszero,'k.')
xlabel('ant/post CG position, cm')
ylabel('ant/post CG velocity, cm/s')
grid on
axis([-20 20 -50 50])
title('ant/post CG phase plot, MHR step-up, 0% BWS')
subplot(2,2,3), plot(step15(1:length(stepfree)-1),vs15,'k.')
xlabel('ant/post CG position, cm')
ylabel('ant/post CG velocity, cm/s')
grid on
axis([-20 20 -50 50])
title('ant/post CG phase plot, MHR step-up, 15% BWS')
subplot(2,2,4), plot(step30(1:length(stepfree)-1),vs30,'k.')
xlabel('ant/post CG position, cm')
ylabel('ant/post CG velocity, cm/s')
grid on
axis([-20 20 -50 50])
title('ant/post CG phase plot, MHR step-up, 30% BWS')