% make graphs for free walking

wffm1 = readdof('mhr116', 'f:\mike\gait analysis\mhr');
wfzm1 = readdof('mhr127', 'f:\mike\gait analysis\mhr');
wf15m1 = readdof('mhr135', 'f:\mike\gait analysis\mhr');
wf30m1 = readdof('mhr142', 'f:\mike\gait analysis\mhr');

wffm1 = wffm1(81:369,:); %smallest increment: 144:323
wfzm1 = wfzm1(65:477,:); %smallest increment: 151:391
wf15m1 = wf15m1(38:382,:); %smallest increment: 119:341
wf30m1 = wf30m1(65:490,:); %smallest increment: 191:436

wffm1(:,121) = ((1:length(wffm1(:,1))) - 16).'*100/160; % line up graphs, scale by percent gait cycle
wfzm1(:,121) = ((1:length(wfzm1(:,1))) - 37).'*100/183;
wf15m1(:,121) = ((1:length(wf15m1(:,1))) - 35).'*100/176;
wf30m1(:,121) = ((1:length(wf30m1(:,1))) - 87).'*100/193;

% write down dimensions of cycle
% wffm1 starts at 16, 160 samples long
% wfzm1 starts at 37, 183 samples long
% wf15m1 starts at 35, 176 samples long
% wf30m1 starts at 87, 193 samples long

%write down step length
% wffm1 step length: 151 cm
% wfzm1 step length: 110 cm
% wf15m1 step length: 115 cm
% wf30m1 step length: 113 cm

%##########################################################################
%##########################################################################
%##########################################################################

% left ankle Y
figure(1)
subplot(4,2,3), plot(wffm1(:,121), wffm1(:,17), 'k.')
hold on
plot(wfzm1(:,121), wfzm1(:,17), 'b.')
plot(wf15m1(:,121), wf15m1(:,17), 'r.')
plot(wf30m1(:,121), wf30m1(:,17), 'g.')
grid on
axis([-30 200 5 25])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle Y position, cm')

% left ankle X
figure(1)
subplot(4,2,1), plot(wffm1(:,121), wffm1(:,16)-1.5, 'k.')
hold on
plot(wfzm1(:,121), wfzm1(:,16)-15.1, 'b.')
plot(wf15m1(:,121), wf15m1(:,16)-14.4, 'r.')
plot(wf30m1(:,121), wf30m1(:,16)+2.1, 'g.')
grid on
axis([-30 200 -150 150])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle X position, cm')
title('MHR Self-Pace Overground Walk Data')

% right ankle Y
figure(1)
subplot(4,2,4), plot(wffm1(:,121), wffm1(:,71), 'k.')
hold on
plot(wfzm1(:,121), wfzm1(:,71), 'b.')
plot(wf15m1(:,121), wf15m1(:,71), 'r.')
plot(wf30m1(:,121), wf30m1(:,71), 'g.')
grid on
axis([-30 200 5 25])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle Y position, cm')

% right ankle X
figure(1)
subplot(4,2,2), plot(wffm1(:,121), wffm1(:,70)-1.5, 'k.')
hold on
plot(wfzm1(:,121), wfzm1(:,70)-15.1, 'b.')
plot(wf15m1(:,121), wf15m1(:,70)-14.4, 'r.')
plot(wf30m1(:,121), wf30m1(:,70)+2.1, 'g.')
grid on
axis([-30 200 -150 150])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle X position, cm')
legend('MHR FREE', 'MHR 0% BWS', 'MHR 15% BWS', 'MHR 30% BWS')

% left hip flexion
figure(1)
subplot(4,2,5), plot(wffm1(:,121), asin((wffm1(:,34)-wffm1(:,25))/44)*180/pi, 'k.')
hold on
plot(wfzm1(:,121), asin((wfzm1(:,34)-wfzm1(:,25))/44)*180/pi, 'b.')
plot(wf15m1(:,121), asin((wf15m1(:,34)-wf15m1(:,25))/44)*180/pi, 'r.')
plot(wf30m1(:,121), asin((wf30m1(:,34)-wf30m1(:,25))/44)*180/pi, 'g.')
grid on
axis([-30 200 -30 30])
%xlabel('Percent Gait Cycle')
ylabel('Left Hip Flexion, degrees')

% right hip flexion
figure(1)
subplot(4,2,6), plot(wffm1(:,121), asin((wffm1(:,88)-wffm1(:,79))/46)*180/pi, 'k.')
hold on
plot(wfzm1(:,121), asin((wfzm1(:,88)-wfzm1(:,79))/46)*180/pi, 'b.')
plot(wf15m1(:,121), asin((wf15m1(:,88)-wf15m1(:,79))/46)*180/pi, 'r.')
plot(wf30m1(:,121), asin((wf30m1(:,88)-wf30m1(:,79))/46)*180/pi, 'g.')
grid on
axis([-30 200 -30 30])
%xlabel('Percent Gait Cycle')
ylabel('Right Hip Flexion, degrees')

% left knee flexion
figure(1)
subplot(4,2,7), plot(wffm1(:,121), asin((wffm1(:,34)-wffm1(:,25))/44)*180/pi-asin((wffm1(:,25)-wffm1(:,16))/40)*180/pi, 'k.')
hold on
plot(wfzm1(:,121), asin((wfzm1(:,34)-wfzm1(:,25))/44)*180/pi-asin((wfzm1(:,25)-wfzm1(:,16))/40)*180/pi, 'b.')
plot(wf15m1(:,121), asin((wf15m1(:,34)-wf15m1(:,25))/44)*180/pi-asin((wf15m1(:,25)-wf15m1(:,16))/40)*180/pi, 'r.')
plot(wf30m1(:,121), asin((wf30m1(:,34)-wf30m1(:,25))/44)*180/pi-asin((wf30m1(:,25)-wf30m1(:,16))/40)*180/pi, 'g.')
grid on
axis([-30 200 -5 65])
xlabel('Percent Gait Cycle')
ylabel('Left Knee Flexion, degrees')

% right knee flexion
figure(1)
subplot(4,2,8), plot(wffm1(:,121), asin((wffm1(:,88)-wffm1(:,79))/46)*180/pi-asin((wffm1(:,79)-wffm1(:,70))/41)*180/pi, 'k.')
hold on
plot(wfzm1(:,121), asin((wfzm1(:,88)-wfzm1(:,79))/46)*180/pi-asin((wfzm1(:,79)-wfzm1(:,70))/41)*180/pi, 'b.')
plot(wf15m1(:,121), asin((wf15m1(:,88)-wf15m1(:,79))/46)*180/pi-asin((wf15m1(:,79)-wf15m1(:,70))/41)*180/pi, 'r.')
plot(wf30m1(:,121), asin((wf30m1(:,88)-wf30m1(:,79))/46)*180/pi-asin((wf30m1(:,79)-wf30m1(:,70))/41)*180/pi, 'g.')
grid on
axis([-30 200 -5 65])
xlabel('Percent Gait Cycle')
ylabel('Right Knee Flexion, degrees')

%##########################################################################
%##########################################################################
%##########################################################################

% body CG X
figure(2)
subplot(4,2,2), plot(wffm1(:,121), (wffm1(:,118)-1.5), 'k.')
hold on
plot(wfzm1(:,121), (wfzm1(:,118)-15.1), 'b.')
plot(wf15m1(:,121), (wf15m1(:,118)-14.4), 'r.')
plot(wf30m1(:,121), (wf30m1(:,118)+2.1), 'g.')
grid on
axis([-30 200 -100 100])
%xlabel('Percent Gait Cycle')
ylabel('Body CG X position, cm')
legend('MHR FREE', 'MHR 0% BWS', 'MHR 15% BWS', 'MHR 30% BWS')

% body CG Y
figure(2)
subplot(4,2,1), plot(wffm1(:,121), wffm1(:,119), 'k.')
hold on
plot(wfzm1(:,121), wfzm1(:,119), 'b.')
plot(wf15m1(:,121), wf15m1(:,119), 'r.')
plot(wf30m1(:,121), wf30m1(:,119), 'g.')
grid on
axis([0 200 93 99])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Y position, cm')
title('MHR Self-Pace Overground Walk Data')

% body CG Z
figure(2)
subplot(4,2,3), plot(wffm1(:,121), wffm1(:,120)+7, 'k.')
hold on
plot(wfzm1(:,121), wfzm1(:,120)+.5, 'b.')
plot(wf15m1(:,121), wf15m1(:,120)-4, 'r.')
plot(wf30m1(:,121), wf30m1(:,120)+.5, 'g.')
grid on
axis([0 200 -4 4])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Z position, cm')

% pelvis roll
figure(2)
subplot(4,2,4), plot(wffm1(:,121), (wffm1(:,31)+wffm1(:,85))/2, 'k.')
hold on
plot(wfzm1(:,121), (wfzm1(:,31)+wfzm1(:,85))/2, 'b.')
plot(wf15m1(:,121), (wf15m1(:,31)+wf15m1(:,85))/2, 'r.')
plot(wf30m1(:,121), (wf30m1(:,31)+wf30m1(:,85))/2, 'g.')
grid on
axis([0 200 -7 7])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Roll, degrees')

% pelvis pitch
figure(2)
subplot(4,2,5), plot(wffm1(:,121), (wffm1(:,32)+wffm1(:,86))/2, 'k.')
hold on
plot(wfzm1(:,121), (wfzm1(:,32)+wfzm1(:,86))/2, 'b.')
plot(wf15m1(:,121), (wf15m1(:,32)+wf15m1(:,86))/2, 'r.')
plot(wf30m1(:,121), (wf30m1(:,32)+wf30m1(:,86))/2, 'g.')
grid on
axis([0 200 1 8])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Pitch, degrees')

% pelvis yaw
figure(2)
subplot(4,2,6), plot(wffm1(:,121), (wffm1(:,33)+wffm1(:,87))/2, 'k.')
hold on
plot(wfzm1(:,121), (wfzm1(:,33)+wfzm1(:,87))/2, 'b.')
plot(wf15m1(:,121), (wf15m1(:,33)+wf15m1(:,87))/2, 'r.')
plot(wf30m1(:,121), (wf30m1(:,33)+wf30m1(:,87))/2, 'g.')
grid on
axis([0 200 -9 9])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Yaw, degrees')

% trunk yaw
figure(2)
subplot(4,2,7), plot(wffm1(:,121), (wffm1(:,42)+wffm1(:,96))/2, 'k.')
hold on
plot(wfzm1(:,121), (wfzm1(:,42)+wfzm1(:,96))/2, 'b.')
plot(wf15m1(:,121), (wf15m1(:,42)+wf15m1(:,96))/2, 'r.')
plot(wf30m1(:,121), (wf30m1(:,42)+wf30m1(:,96))/2, 'g.')
grid on
axis([0 200 -10 10])
xlabel('Percent Gait Cycle')
ylabel('Trunk Yaw, degrees')

% trunk-pelvis relative yaw
figure(2)
subplot(4,2,8), plot(wffm1(:,121), (wffm1(:,42)+wffm1(:,96))/2-(wffm1(:,33)+wffm1(:,87))/2, 'k.')
hold on
plot(wfzm1(:,121), (wfzm1(:,42)+wfzm1(:,96))/2-(wfzm1(:,33)+wfzm1(:,87))/2, 'b.')
plot(wf15m1(:,121), (wf15m1(:,42)+wf15m1(:,96))/2-(wf15m1(:,33)+wf15m1(:,87))/2, 'r.')
plot(wf30m1(:,121), (wf30m1(:,42)+wf30m1(:,96))/2-(wf30m1(:,33)+wf30m1(:,87))/2, 'g.')
grid on
axis([0 200 -15 15])
xlabel('Percent Gait Cycle')
ylabel('Relative Trunk-Pelvis Yaw, degrees')