% make graphs for free walking

% choose a new 30% trial that lines up better with the other ones; should
% all have two of the same foooooot strike.

wffr1 = readdof('rmh114', 'f:\mike\gait analysis\rmh');
wfzr1 = readdof('rmh126', 'f:\mike\gait analysis\rmh');
wf15r1 = readdof('rmh135', 'f:\mike\gait analysis\rmh');
wf30r1 = readdof('rmh141', 'f:\mike\gait analysis\rmh');

wffr1 = wffr1(70:360,:); %smallest increment: 138:332
wfzr1 = wfzr1(110:461,:); %smallest increment: 196:389
wf15r1 = wf15r1(50:512,:); %smallest increment: 172:395
wf30r1 = wf30r1(84:467,:); %smallest increment: 172:310

wffr1(:,121) = ((1:length(wffr1(:,1))) - 100).'*100/180; % line up graphs, scale by percent gait cycle
wfzr1(:,121) = ((1:length(wfzr1(:,1))) - 14).'*100/197;
wf15r1(:,121) = ((1:length(wf15r1(:,1))) - 97).'*100/211;
wf30r1(:,121) = ((1:length(wf30r1(:,1))) - 99).'*100/205;

% write down dimensions of cycle
% wffr1 starts at 16, 160 samples long
% wfzr1 starts at 37, 183 samples long
% wf15r1 starts at 35, 176 samples long
% wf30r1 starts at 87, 193 samples long

%write down step length
% wffr1 step length: 151 cm
% wfzr1 step length: 110 cm
% wf15r1 step length: 115 cm
% wf30r1 step length: 113 cm

%##########################################################################
%##########################################################################
%##########################################################################

% left ankle Y
figure(1)
subplot(4,2,3), plot(wffr1(:,121), wffr1(:,17), 'k.')
hold on
plot(wfzr1(:,121), wfzr1(:,17), 'b.')
plot(wf15r1(:,121), wf15r1(:,17), 'r.')
plot(wf30r1(:,121), wf30r1(:,17), 'g.')
grid on
axis([-70 170 5 25])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle Y position, cm')

% left ankle X
figure(1)
subplot(4,2,1), plot(wffr1(:,121), wffr1(:,16)-10, 'k.')
hold on
plot(wfzr1(:,121), wfzr1(:,16)-70, 'b.')
plot(wf15r1(:,121), wf15r1(:,16)-50, 'r.')
plot(wf30r1(:,121), wf30r1(:,16)-36.5, 'g.')
grid on
axis([-70 170 -150 150])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle X position, cm')
title('RMH Self-Pace Overground Walk Data')

% right ankle Y
figure(1)
subplot(4,2,4), plot(wffr1(:,121), wffr1(:,71), 'k.')
hold on
plot(wfzr1(:,121), wfzr1(:,71), 'b.')
plot(wf15r1(:,121), wf15r1(:,71), 'r.')
plot(wf30r1(:,121), wf30r1(:,71), 'g.')
grid on
axis([-70 170 5 25])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle Y position, cm')

% right ankle X
figure(1)
subplot(4,2,2), plot(wffr1(:,121), wffr1(:,70)-10, 'k.')
hold on
plot(wfzr1(:,121), wfzr1(:,70)-70, 'b.')
plot(wf15r1(:,121), wf15r1(:,70)-50, 'r.')
plot(wf30r1(:,121), wf30r1(:,70)-36.5, 'g.')
grid on
axis([-70 170 -150 150])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle X position, cm')
legend('RMH FREE', 'RMH 0% BWS', 'RMH 15% BWS', 'RMH 30% BWS')

% left hip flexion
figure(1)
subplot(4,2,5), plot(wffr1(:,121), asin((wffr1(:,34)-wffr1(:,25))/44)*180/pi, 'k.')
hold on
plot(wfzr1(:,121), asin((wfzr1(:,34)-wfzr1(:,25))/44)*180/pi, 'b.')
plot(wf15r1(:,121), asin((wf15r1(:,34)-wf15r1(:,25))/44)*180/pi, 'r.')
plot(wf30r1(:,121), asin((wf30r1(:,34)-wf30r1(:,25))/44)*180/pi, 'g.')
grid on
axis([-70 170 -30 30])
%xlabel('Percent Gait Cycle')
ylabel('Left Hip Flexion, degrees')

% right hip flexion
figure(1)
subplot(4,2,6), plot(wffr1(:,121), asin((wffr1(:,88)-wffr1(:,79))/46)*180/pi, 'k.')
hold on
plot(wfzr1(:,121), asin((wfzr1(:,88)-wfzr1(:,79))/46)*180/pi, 'b.')
plot(wf15r1(:,121), asin((wf15r1(:,88)-wf15r1(:,79))/46)*180/pi, 'r.')
plot(wf30r1(:,121), asin((wf30r1(:,88)-wf30r1(:,79))/46)*180/pi, 'g.')
grid on
axis([-70 170 -30 30])
%xlabel('Percent Gait Cycle')
ylabel('Right Hip Flexion, degrees')

% left knee flexion
figure(1)
subplot(4,2,7), plot(wffr1(:,121), asin((wffr1(:,34)-wffr1(:,25))/44)*180/pi-asin((wffr1(:,25)-wffr1(:,16))/40)*180/pi, 'k.')
hold on
plot(wfzr1(:,121), asin((wfzr1(:,34)-wfzr1(:,25))/44)*180/pi-asin((wfzr1(:,25)-wfzr1(:,16))/40)*180/pi, 'b.')
plot(wf15r1(:,121), asin((wf15r1(:,34)-wf15r1(:,25))/44)*180/pi-asin((wf15r1(:,25)-wf15r1(:,16))/40)*180/pi, 'r.')
plot(wf30r1(:,121), asin((wf30r1(:,34)-wf30r1(:,25))/44)*180/pi-asin((wf30r1(:,25)-wf30r1(:,16))/40)*180/pi, 'g.')
grid on
axis([-70 170 -5 85])
xlabel('Percent Gait Cycle')
ylabel('Left Knee Flexion, degrees')

% right knee flexion
figure(1)
subplot(4,2,8), plot(wffr1(:,121), asin((wffr1(:,88)-wffr1(:,79))/46)*180/pi-asin((wffr1(:,79)-wffr1(:,70))/41)*180/pi, 'k.')
hold on
plot(wfzr1(:,121), asin((wfzr1(:,88)-wfzr1(:,79))/46)*180/pi-asin((wfzr1(:,79)-wfzr1(:,70))/41)*180/pi, 'b.')
plot(wf15r1(:,121), asin((wf15r1(:,88)-wf15r1(:,79))/46)*180/pi-asin((wf15r1(:,79)-wf15r1(:,70))/41)*180/pi, 'r.')
plot(wf30r1(:,121), asin((wf30r1(:,88)-wf30r1(:,79))/46)*180/pi-asin((wf30r1(:,79)-wf30r1(:,70))/41)*180/pi, 'g.')
grid on
axis([-70 170 -5 85])
xlabel('Percent Gait Cycle')
ylabel('Right Knee Flexion, degrees')

%##########################################################################
%##########################################################################
%##########################################################################

% body CG X
figure(2)
subplot(4,2,2), plot(wffr1(:,121), (wffr1(:,118)-10), 'k.')
hold on
plot(wfzr1(:,121), (wfzr1(:,118)-70), 'b.')
plot(wf15r1(:,121), (wf15r1(:,118)-50), 'r.')
plot(wf30r1(:,121), (wf30r1(:,118)-36.5), 'g.')
grid on
axis([-70 170 -100 100])
%xlabel('Percent Gait Cycle')
ylabel('Body CG X position, cm')
legend('RMH FREE', 'RMH 0% BWS', 'RMH 15% BWS', 'RMH 30% BWS')

% body CG Y
figure(2)
subplot(4,2,1), plot(wffr1(:,121), wffr1(:,119), 'k.')
hold on
plot(wfzr1(:,121), wfzr1(:,119), 'b.')
plot(wf15r1(:,121), wf15r1(:,119), 'r.')
plot(wf30r1(:,121), wf30r1(:,119), 'g.')
grid on
axis([-70 170 91 96])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Y position, cm')
title('RMH Self-Pace Overground Walk Data')

% body CG Z
figure(2)
subplot(4,2,3), plot(wffr1(:,121), wffr1(:,120)-.8, 'k.')
hold on
plot(wfzr1(:,121), wfzr1(:,120)-15.2, 'b.')
plot(wf15r1(:,121), wf15r1(:,120)-5.3, 'r.')
plot(wf30r1(:,121), wf30r1(:,120)-6.5, 'g.')
grid on
axis([-70 170 -10 1])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Z position, cm')

% pelvis roll
figure(2)
subplot(4,2,4), plot(wffr1(:,121), (wffr1(:,31)+wffr1(:,85))/2, 'k.')
hold on
plot(wfzr1(:,121), (wfzr1(:,31)+wfzr1(:,85))/2, 'b.')
plot(wf15r1(:,121), (wf15r1(:,31)+wf15r1(:,85))/2, 'r.')
plot(wf30r1(:,121), (wf30r1(:,31)+wf30r1(:,85))/2, 'g.')
grid on
axis([-70 170 -8 6])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Roll, degrees')

% pelvis pitch
figure(2)
subplot(4,2,5), plot(wffr1(:,121), (wffr1(:,32)+wffr1(:,86))/2, 'k.')
hold on
plot(wfzr1(:,121), (wfzr1(:,32)+wfzr1(:,86))/2, 'b.')
plot(wf15r1(:,121), (wf15r1(:,32)+wf15r1(:,86))/2, 'r.')
plot(wf30r1(:,121), (wf30r1(:,32)+wf30r1(:,86))/2, 'g.')
grid on
axis([-70 170 -10 2])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Pitch, degrees')

% pelvis yaw
figure(2)
subplot(4,2,6), plot(wffr1(:,121), (wffr1(:,33)+wffr1(:,87))/2, 'k.')
hold on
plot(wfzr1(:,121), (wfzr1(:,33)+wfzr1(:,87))/2, 'b.')
plot(wf15r1(:,121), (wf15r1(:,33)+wf15r1(:,87))/2, 'r.')
plot(wf30r1(:,121), (wf30r1(:,33)+wf30r1(:,87))/2, 'g.')
grid on
axis([-70 170 -11 11])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Yaw, degrees')

% trunk yaw
figure(2)
subplot(4,2,7), plot(wffr1(:,121), (wffr1(:,42)+wffr1(:,96))/2, 'k.')
hold on
plot(wfzr1(:,121), (wfzr1(:,42)+wfzr1(:,96))/2, 'b.')
plot(wf15r1(:,121), (wf15r1(:,42)+wf15r1(:,96))/2, 'r.')
plot(wf30r1(:,121), (wf30r1(:,42)+wf30r1(:,96))/2, 'g.')
grid on
axis([-70 170 -6 6])
xlabel('Percent Gait Cycle')
ylabel('Trunk Yaw, degrees')

% trunk-pelvis relative yaw
figure(2)
subplot(4,2,8), plot(wffr1(:,121), (wffr1(:,42)+wffr1(:,96))/2-(wffr1(:,33)+wffr1(:,87))/2, 'k.')
hold on
plot(wfzr1(:,121), (wfzr1(:,42)+wfzr1(:,96))/2-(wfzr1(:,33)+wfzr1(:,87))/2, 'b.')
plot(wf15r1(:,121), (wf15r1(:,42)+wf15r1(:,96))/2-(wf15r1(:,33)+wf15r1(:,87))/2, 'r.')
plot(wf30r1(:,121), (wf30r1(:,42)+wf30r1(:,96))/2-(wf30r1(:,33)+wf30r1(:,87))/2, 'g.')
grid on
axis([-70 170 -12 12])
xlabel('Percent Gait Cycle')
ylabel('Relative Trunk-Pelvis Yaw, degrees')