% make graphs for free walking

% choose a new 30% trial that lines up better with the other ones; should
% all have two of the same foooooot strike.

wpfm1 = readdof('mhr121', 'f:\mike\gait analysis\mhr');
wpzm1 = readdof('mhr124', 'f:\mike\gait analysis\mhr');
wp15m1 = readdof('mhr130', 'f:\mike\gait analysis\mhr');
wp30m1 = readdof('mhr137', 'f:\mike\gait analysis\mhr');

wpfm1 = wpfm1(15:730,:); %smallest increment: 228:620
wpzm1 = wpzm1(60:760,:); %smallest increment: 278:744
wp15m1 = wp15m1(62:937,:); %smallest increment: 266:678
wp30m1 = wp30m1(4:899,:); %smallest increment: 218:610

wpfm1(:,121) = ((1:length(wpfm1(:,1))) - 103).'*100/320; % line up graphs, scale by percent gait cycle
wpzm1(:,121) = ((1:length(wpzm1(:,1))) - 114).'*100/318;
wp15m1(:,121) = ((1:length(wp15m1(:,1))) - 119).'*100/312;
wp30m1(:,121) = ((1:length(wp30m1(:,1))) - 82).'*100/313;

% write down dimensions of cycle
% wpfm1 starts at 16, 160 samples long
% wpzm1 starts at 37, 183 samples long
% wp15m1 starts at 35, 176 samples long
% wp30m1 starts at 87, 193 samples long

%write down step length
% wpfm1 step length: 151 cm
% wpzr1 step length: 110 cm
% wp15m1 step length: 115 cm
% wp30m1 step length: 113 cm

%##########################################################################
%##########################################################################
%##########################################################################

% left ankle Y
figure(1)
subplot(4,2,3), plot(wpfm1(:,121), wpfm1(:,17), 'k.')
hold on
plot(wpzm1(:,121), wpzm1(:,17), 'b.')
plot(wp15m1(:,121), wp15m1(:,17), 'r.')
plot(wp30m1(:,121), wp30m1(:,17), 'g.')
grid on
axis([-50 300 4 22])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle Y position, cm')

% left ankle X
figure(1)
subplot(4,2,1), plot(wpfm1(:,121), wpfm1(:,16)-15, 'k.')
hold on
plot(wpzm1(:,121), wpzm1(:,16)-48.5, 'b.')
plot(wp15m1(:,121), wp15m1(:,16)-32, 'r.')
plot(wp30m1(:,121), wp30m1(:,16)-42.5, 'g.')
grid on
axis([-50 300 -150 150])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle X position, cm')
title('MHR 60 BPM Paced Overground Walk Data')

% right ankle Y
figure(1)
subplot(4,2,4), plot(wpfm1(:,121), wpfm1(:,71), 'k.')
hold on
plot(wpzm1(:,121), wpzm1(:,71), 'b.')
plot(wp15m1(:,121), wp15m1(:,71), 'r.')
plot(wp30m1(:,121), wp30m1(:,71), 'g.')
grid on
axis([-50 300 4 22])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle Y position, cm')

% right ankle X
figure(1)
subplot(4,2,2), plot(wpfm1(:,121), wpfm1(:,70)-15, 'k.')
hold on
plot(wpzm1(:,121), wpzm1(:,70)-48.5, 'b.')
plot(wp15m1(:,121), wp15m1(:,70)-32, 'r.')
plot(wp30m1(:,121), wp30m1(:,70)-42.5, 'g.')
grid on
axis([-50 300 -150 150])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle X position, cm')
legend('MRH FREE', 'MHR 0% BWS', 'MHR 15% BWS', 'MHR 30% BWS')

% left hip flexion
figure(1)
subplot(4,2,5), plot(wpfm1(:,121), asin((wpfm1(:,34)-wpfm1(:,25))/44)*180/pi, 'k.')
hold on
plot(wpzm1(:,121), asin((wpzm1(:,34)-wpzm1(:,25))/44)*180/pi, 'b.')
plot(wp15m1(:,121), asin((wp15m1(:,34)-wp15m1(:,25))/44)*180/pi, 'r.')
plot(wp30m1(:,121), asin((wp30m1(:,34)-wp30m1(:,25))/44)*180/pi, 'g.')
grid on
axis([-50 300 -20 20])
%xlabel('Percent Gait Cycle')
ylabel('Left Hip Flexion, degrees')

% right hip flexion
figure(1)
subplot(4,2,6), plot(wpfm1(:,121), asin((wpfm1(:,88)-wpfm1(:,79))/46)*180/pi, 'k.')
hold on
plot(wpzm1(:,121), asin((wpzm1(:,88)-wpzm1(:,79))/46)*180/pi, 'b.')
plot(wp15m1(:,121), asin((wp15m1(:,88)-wp15m1(:,79))/46)*180/pi, 'r.')
plot(wp30m1(:,121), asin((wp30m1(:,88)-wp30m1(:,79))/46)*180/pi, 'g.')
grid on
axis([-50 300 -20 20])
%xlabel('Percent Gait Cycle')
ylabel('Right Hip Flexion, degrees')

% left knee flexion
figure(1)
subplot(4,2,7), plot(wpfm1(:,121), asin((wpfm1(:,34)-wpfm1(:,25))/44)*180/pi-asin((wpfm1(:,25)-wpfm1(:,16))/40)*180/pi, 'k.')
hold on
plot(wpzm1(:,121), asin((wpzm1(:,34)-wpzm1(:,25))/44)*180/pi-asin((wpzm1(:,25)-wpzm1(:,16))/40)*180/pi, 'b.')
plot(wp15m1(:,121), asin((wp15m1(:,34)-wp15m1(:,25))/44)*180/pi-asin((wp15m1(:,25)-wp15m1(:,16))/40)*180/pi, 'r.')
plot(wp30m1(:,121), asin((wp30m1(:,34)-wp30m1(:,25))/44)*180/pi-asin((wp30m1(:,25)-wp30m1(:,16))/40)*180/pi, 'g.')
grid on
axis([-50 300 -5 50])
xlabel('Percent Gait Cycle')
ylabel('Left Knee Flexion, degrees')

% right knee flexion
figure(1)
subplot(4,2,8), plot(wpfm1(:,121), asin((wpfm1(:,88)-wpfm1(:,79))/46)*180/pi-asin((wpfm1(:,79)-wpfm1(:,70))/41)*180/pi, 'k.')
hold on
plot(wpzm1(:,121), asin((wpzm1(:,88)-wpzm1(:,79))/46)*180/pi-asin((wpzm1(:,79)-wpzm1(:,70))/41)*180/pi, 'b.')
plot(wp15m1(:,121), asin((wp15m1(:,88)-wp15m1(:,79))/46)*180/pi-asin((wp15m1(:,79)-wp15m1(:,70))/41)*180/pi, 'r.')
plot(wp30m1(:,121), asin((wp30m1(:,88)-wp30m1(:,79))/46)*180/pi-asin((wp30m1(:,79)-wp30m1(:,70))/41)*180/pi, 'g.')
grid on
axis([-50 300 -5 50])
xlabel('Percent Gait Cycle')
ylabel('Right Knee Flexion, degrees')

%##########################################################################
%##########################################################################
%##########################################################################

% body CG X
figure(2)
subplot(4,2,2), plot(wpfm1(:,121), (wpfm1(:,118)-15), 'k.')
hold on
plot(wpzm1(:,121), (wpzm1(:,118)-48.5), 'b.')
plot(wp15m1(:,121), (wp15m1(:,118)-32), 'r.')
plot(wp30m1(:,121), (wp30m1(:,118)-42.5), 'g.')
grid on
axis([-50 300 -100 100])
%xlabel('Percent Gait Cycle')
ylabel('Body CG X position, cm')
legend('MHR FREE', 'MHR 0% BWS', 'MHR 15% BWS', 'MHR 30% BWS')

% body CG Y
figure(2)
subplot(4,2,1), plot(wpfm1(:,121), wpfm1(:,119), 'k.')
hold on
plot(wpzm1(:,121), wpzm1(:,119), 'b.')
plot(wp15m1(:,121), wp15m1(:,119), 'r.')
plot(wp30m1(:,121), wp30m1(:,119), 'g.')
grid on
axis([-50 300 95 99])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Y position, cm')
title('MHR 60 BPM Paced Overground Walk Data')

% body CG Z
figure(2)
subplot(4,2,3), plot(wpfm1(:,121), wpfm1(:,120)+11.7, 'k.')
hold on
plot(wpzm1(:,121), wpzm1(:,120)+2.4, 'b.')
plot(wp15m1(:,121), wp15m1(:,120)+5.1, 'r.')
plot(wp30m1(:,121), wp30m1(:,120)+2.8, 'g.')
grid on
axis([-50 300 -5 15])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Z position, cm')

% pelvis roll
figure(2)
subplot(4,2,4), plot(wpfm1(:,121), (wpfm1(:,31)+wpfm1(:,85))/2, 'k.')
hold on
plot(wpzm1(:,121), (wpzm1(:,31)+wpzm1(:,85))/2, 'b.')
plot(wp15m1(:,121), (wp15m1(:,31)+wp15m1(:,85))/2, 'r.')
plot(wp30m1(:,121), (wp30m1(:,31)+wp30m1(:,85))/2, 'g.')
grid on
axis([-50 300 -5 5])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Roll, degrees')

% pelvis pitch
figure(2)
subplot(4,2,5), plot(wpfm1(:,121), (wpfm1(:,32)+wpfm1(:,86))/2, 'k.')
hold on
plot(wpzm1(:,121), (wpzm1(:,32)+wpzm1(:,86))/2, 'b.')
plot(wp15m1(:,121), (wp15m1(:,32)+wp15m1(:,86))/2, 'r.')
plot(wp30m1(:,121), (wp30m1(:,32)+wp30m1(:,86))/2, 'g.')
grid on
axis([-50 300 1 7])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Pitch, degrees')

% pelvis yaw
figure(2)
subplot(4,2,6), plot(wpfm1(:,121), (wpfm1(:,33)+wpfm1(:,87))/2, 'k.')
hold on
plot(wpzm1(:,121), (wpzm1(:,33)+wpzm1(:,87))/2, 'b.')
plot(wp15m1(:,121), (wp15m1(:,33)+wp15m1(:,87))/2, 'r.')
plot(wp30m1(:,121), (wp30m1(:,33)+wp30m1(:,87))/2, 'g.')
grid on
axis([-50 300 -7 7])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Yaw, degrees')

% trunk yaw
figure(2)
subplot(4,2,7), plot(wpfm1(:,121), (wpfm1(:,42)+wpfm1(:,96))/2, 'k.')
hold on
plot(wpzm1(:,121), (wpzm1(:,42)+wpzm1(:,96))/2, 'b.')
plot(wp15m1(:,121), (wp15m1(:,42)+wp15m1(:,96))/2, 'r.')
plot(wp30m1(:,121), (wp30m1(:,42)+wp30m1(:,96))/2, 'g.')
grid on
axis([-50 300 -11 11])
xlabel('Percent Gait Cycle')
ylabel('Trunk Yaw, degrees')

% trunk-pelvis relative yaw
figure(2)
subplot(4,2,8), plot(wpfm1(:,121), (wpfm1(:,42)+wpfm1(:,96))/2-(wpfm1(:,33)+wpfm1(:,87))/2, 'k.')
hold on
plot(wpzm1(:,121), (wpzm1(:,42)+wpzm1(:,96))/2-(wpzm1(:,33)+wpzm1(:,87))/2, 'b.')
plot(wp15m1(:,121), (wp15m1(:,42)+wp15m1(:,96))/2-(wp15m1(:,33)+wp15m1(:,87))/2, 'r.')
plot(wp30m1(:,121), (wp30m1(:,42)+wp30m1(:,96))/2-(wp30m1(:,33)+wp30m1(:,87))/2, 'g.')
grid on
axis([-50 300 -12 10])
xlabel('Percent Gait Cycle')
ylabel('Relative Trunk-Pelvis Yaw, degrees')