% make graphs for free walking

% choose a new 30% trial that lines up better with the other ones; should
% all have two of the same foooooot strike.

wpfr1 = readdof('rmh121', 'f:\mike\gait analysis\rmh');
wpzr1 = readdof('rmh124', 'f:\mike\gait analysis\rmh');
wp15r1 = readdof('rmh131', 'f:\mike\gait analysis\rmh');
wp30r1 = readdof('rmh137', 'f:\mike\gait analysis\rmh');

wpfr1 = wpfr1(83:760,:); %smallest increment: 207:602
wpzr1 = wpzr1(140:765,:); %smallest increment: 269:604
wp15r1 = wp15r1(135:758,:); %smallest increment: 241:615
wp30r1 = wp30r1(65:729,:); %smallest increment: 228:613

wpfr1(:,121) = ((1:length(wpfr1(:,1))) - 173).'*100/323; % line up graphs, scale by percent gait cycle
wpzr1(:,121) = ((1:length(wpzr1(:,1))) - 130).'*100/279;
wp15r1(:,121) = ((1:length(wp15r1(:,1))) - 139).'*100/280;
wp30r1(:,121) = ((1:length(wp30r1(:,1))) - 87).'*100/338;

% write down dimensions of cycle
% wffr1 starts at 16, 160 samples long
% wpzr1 starts at 37, 183 samples long
% wp15r1 starts at 35, 176 samples long
% wp30r1 starts at 87, 193 samples long

%write down step length
% wpfr1 step length: 151 cm
% wpzr1 step length: 110 cm
% wp15r1 step length: 115 cm
% wp30r1 step length: 113 cm

%##########################################################################
%##########################################################################
%##########################################################################

% left ankle Y
figure(1)
subplot(4,2,3), plot(wpfr1(:,121), wpfr1(:,17), 'k.')
hold on
plot(wpzr1(:,121), wpzr1(:,17), 'b.')
plot(wp15r1(:,121), wp15r1(:,17), 'r.')
plot(wp30r1(:,121), wp30r1(:,17), 'g.')
grid on
axis([-60 180 5 25])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle Y position, cm')

% left ankle X
figure(1)
subplot(4,2,1), plot(wpfr1(:,121), wpfr1(:,16)+30, 'k.')
hold on
plot(wpzr1(:,121), wpzr1(:,16)+9.5, 'b.')
plot(wp15r1(:,121), wp15r1(:,16)+15.5, 'r.')
plot(wp30r1(:,121), wp30r1(:,16)-7, 'g.')
grid on
axis([-60 180 -150 200])
%xlabel('Percent Gait Cycle')
ylabel('Left Ankle X position, cm')
title('RMH 60 BPM Paced Overground Walk Data')

% right ankle Y
figure(1)
subplot(4,2,4), plot(wpfr1(:,121), wpfr1(:,71), 'k.')
hold on
plot(wpzr1(:,121), wpzr1(:,71), 'b.')
plot(wp15r1(:,121), wp15r1(:,71), 'r.')
plot(wp30r1(:,121), wp30r1(:,71), 'g.')
grid on
axis([-60 180 5 25])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle Y position, cm')

% right ankle X
figure(1)
subplot(4,2,2), plot(wpfr1(:,121), wpfr1(:,70)+30, 'k.')
hold on
plot(wpzr1(:,121), wpzr1(:,70)+9.5, 'b.')
plot(wp15r1(:,121), wp15r1(:,70)+15.5, 'r.')
plot(wp30r1(:,121), wp30r1(:,70)-7, 'g.')
grid on
axis([-60 180 -150 200])
%xlabel('Percent Gait Cycle')
ylabel('Right Ankle X position, cm')
legend('RMH FREE', 'RMH 0% BWS', 'RMH 15% BWS', 'RMH 30% BWS')

% left hip flexion
figure(1)
subplot(4,2,5), plot(wpfr1(:,121), asin((wpfr1(:,34)-wpfr1(:,25))/44)*180/pi, 'k.')
hold on
plot(wpzr1(:,121), asin((wpzr1(:,34)-wpzr1(:,25))/44)*180/pi, 'b.')
plot(wp15r1(:,121), asin((wp15r1(:,34)-wp15r1(:,25))/44)*180/pi, 'r.')
plot(wp30r1(:,121), asin((wp30r1(:,34)-wp30r1(:,25))/44)*180/pi, 'g.')
grid on
axis([-60 180 -25 25])
%xlabel('Percent Gait Cycle')
ylabel('Left Hip Flexion, degrees')

% right hip flexion
figure(1)
subplot(4,2,6), plot(wpfr1(:,121), asin((wpfr1(:,88)-wpfr1(:,79))/46)*180/pi, 'k.')
hold on
plot(wpzr1(:,121), asin((wpzr1(:,88)-wpzr1(:,79))/46)*180/pi, 'b.')
plot(wp15r1(:,121), asin((wp15r1(:,88)-wp15r1(:,79))/46)*180/pi, 'r.')
plot(wp30r1(:,121), asin((wp30r1(:,88)-wp30r1(:,79))/46)*180/pi, 'g.')
grid on
axis([-60 180 -25 25])
%xlabel('Percent Gait Cycle')
ylabel('Right Hip Flexion, degrees')

% left knee flexion
figure(1)
subplot(4,2,7), plot(wpfr1(:,121), asin((wpfr1(:,34)-wpfr1(:,25))/44)*180/pi-asin((wpfr1(:,25)-wpfr1(:,16))/40)*180/pi, 'k.')
hold on
plot(wpzr1(:,121), asin((wpzr1(:,34)-wpzr1(:,25))/44)*180/pi-asin((wpzr1(:,25)-wpzr1(:,16))/40)*180/pi, 'b.')
plot(wp15r1(:,121), asin((wp15r1(:,34)-wp15r1(:,25))/44)*180/pi-asin((wp15r1(:,25)-wp15r1(:,16))/40)*180/pi, 'r.')
plot(wp30r1(:,121), asin((wp30r1(:,34)-wp30r1(:,25))/44)*180/pi-asin((wp30r1(:,25)-wp30r1(:,16))/40)*180/pi, 'g.')
grid on
axis([-60 180 -10 80])
xlabel('Percent Gait Cycle')
ylabel('Left Knee Flexion, degrees')

% right knee flexion
figure(1)
subplot(4,2,8), plot(wpfr1(:,121), asin((wpfr1(:,88)-wpfr1(:,79))/46)*180/pi-asin((wpfr1(:,79)-wpfr1(:,70))/41)*180/pi, 'k.')
hold on
plot(wpzr1(:,121), asin((wpzr1(:,88)-wpzr1(:,79))/46)*180/pi-asin((wpzr1(:,79)-wpzr1(:,70))/41)*180/pi, 'b.')
plot(wp15r1(:,121), asin((wp15r1(:,88)-wp15r1(:,79))/46)*180/pi-asin((wp15r1(:,79)-wp15r1(:,70))/41)*180/pi, 'r.')
plot(wp30r1(:,121), asin((wp30r1(:,88)-wp30r1(:,79))/46)*180/pi-asin((wp30r1(:,79)-wp30r1(:,70))/41)*180/pi, 'g.')
grid on
axis([-60 180 -10 80])
xlabel('Percent Gait Cycle')
ylabel('Right Knee Flexion, degrees')

%##########################################################################
%##########################################################################
%##########################################################################

% body CG X
figure(2)
subplot(4,2,2), plot(wpfr1(:,121), (wpfr1(:,118)+30), 'k.')
hold on
plot(wpzr1(:,121), (wpzr1(:,118)+9.5), 'b.')
plot(wp15r1(:,121), (wp15r1(:,118)+15.5), 'r.')
plot(wp30r1(:,121), (wp30r1(:,118)-7), 'g.')
grid on
axis([-60 180 -100 150])
%xlabel('Percent Gait Cycle')
ylabel('Body CG X position, cm')
legend('RMH FREE', 'RMH 0% BWS', 'RMH 15% BWS', 'RMH 30% BWS')

% body CG Y
figure(2)
subplot(4,2,1), plot(wpfr1(:,121), wpfr1(:,119), 'k.')
hold on
plot(wpzr1(:,121), wpzr1(:,119), 'b.')
plot(wp15r1(:,121), wp15r1(:,119), 'r.')
plot(wp30r1(:,121), wp30r1(:,119), 'g.')
grid on
axis([-60 180 92 96])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Y position, cm')
title('RMH 60 BPM Paced Overground Walk Data')

% body CG Z
figure(2)
subplot(4,2,3), plot(wpfr1(:,121), wpfr1(:,120)+14.2, 'k.')
hold on
plot(wpzr1(:,121), wpzr1(:,120)+17.4, 'b.')
plot(wp15r1(:,121), wp15r1(:,120)+9.4, 'r.')
plot(wp30r1(:,121), wp30r1(:,120)+4.7, 'g.')
grid on
axis([-60 180 -5 20])
%xlabel('Percent Gait Cycle')
ylabel('Body CG Z position, cm')

% pelvis roll
figure(2)
subplot(4,2,4), plot(wpfr1(:,121), (wpfr1(:,31)+wpfr1(:,85))/2, 'k.')
hold on
plot(wpzr1(:,121), (wpzr1(:,31)+wpzr1(:,85))/2, 'b.')
plot(wp15r1(:,121), (wp15r1(:,31)+wp15r1(:,85))/2, 'r.')
plot(wp30r1(:,121), (wp30r1(:,31)+wp30r1(:,85))/2, 'g.')
grid on
axis([-60 180 -4 8])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Roll, degrees')

% pelvis pitch
figure(2)
subplot(4,2,5), plot(wpfr1(:,121), (wpfr1(:,32)+wpfr1(:,86))/2, 'k.')
hold on
plot(wpzr1(:,121), (wpzr1(:,32)+wpzr1(:,86))/2, 'b.')
plot(wp15r1(:,121), (wp15r1(:,32)+wp15r1(:,86))/2, 'r.')
plot(wp30r1(:,121), (wp30r1(:,32)+wp30r1(:,86))/2, 'g.')
grid on
axis([-60 180 -8 1])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Pitch, degrees')

% pelvis yaw
figure(2)
subplot(4,2,6), plot(wpfr1(:,121), (wpfr1(:,33)+wpfr1(:,87))/2, 'k.')
hold on
plot(wpzr1(:,121), (wpzr1(:,33)+wpzr1(:,87))/2, 'b.')
plot(wp15r1(:,121), (wp15r1(:,33)+wp15r1(:,87))/2, 'r.')
plot(wp30r1(:,121), (wp30r1(:,33)+wp30r1(:,87))/2, 'g.')
grid on
axis([-60 180 -10 10])
%xlabel('Percent Gait Cycle')
ylabel('Pelvis Yaw, degrees')

% trunk yaw
figure(2)
subplot(4,2,7), plot(wpfr1(:,121), (wpfr1(:,42)+wpfr1(:,96))/2, 'k.')
hold on
plot(wpzr1(:,121), (wpzr1(:,42)+wpzr1(:,96))/2, 'b.')
plot(wp15r1(:,121), (wp15r1(:,42)+wp15r1(:,96))/2, 'r.')
plot(wp30r1(:,121), (wp30r1(:,42)+wp30r1(:,96))/2, 'g.')
grid on
axis([-60 180 -10 10])
xlabel('Percent Gait Cycle')
ylabel('Trunk Yaw, degrees')

% trunk-pelvis relative yaw
figure(2)
subplot(4,2,8), plot(wpfr1(:,121), (wpfr1(:,42)+wpfr1(:,96))/2-(wpfr1(:,33)+wpfr1(:,87))/2, 'k.')
hold on
plot(wpzr1(:,121), (wpzr1(:,42)+wpzr1(:,96))/2-(wpzr1(:,33)+wpzr1(:,87))/2, 'b.')
plot(wp15r1(:,121), (wp15r1(:,42)+wp15r1(:,96))/2-(wp15r1(:,33)+wp15r1(:,87))/2, 'r.')
plot(wp30r1(:,121), (wp30r1(:,42)+wp30r1(:,96))/2-(wp30r1(:,33)+wp30r1(:,87))/2, 'g.')
grid on
axis([-60 180 -12 12])
xlabel('Percent Gait Cycle')
ylabel('Relative Trunk-Pelvis Yaw, degrees')