% loads data, plots non-centered and centered phase plots
% function [Lf, Lz, L15, L30, Hf, Hz, H15, H30] = stepphase(initials, pathname);

function [Lf, Lz, L15, L30, Hf, Hz, H15, H30] = stepphase(initials, pathname);

low = 1000;
high = 4000;
dof = 120;

[allf, allz, all15, all30] = loadstep(initials, pathname);
[df, dz, d15, d30] = cutdata(allf, allz, all15, all30, dof, low, high);

ff = mfilter(df);
fz = mfilter(dz);
f15 = mfilter(d15);
f30 = mfilter(d30);

[cf, Lf, Hf] = center(ff);
[cz, Lz, Hz] = center(fz);
[c15, L15, H15] = center(f15);
[c30, L30, H30] = center(f30);

%stepplot(ffree, fzero, ffifteen, fthirty);
stepplot(cf, cz, c15, c30);
