% matalab script to get phase plots of rmh stepping data

stepfree = readdof('mhr122','f:\mike\gait analysis\mhr');
stepzero = readdof('mhr129','f:\mike\gait analysis\mhr');
step15 = readdof('mhr136','f:\mike\gait analysis\mhr');
step30 = readdof('mhr143','f:\mike\gait analysis\mhr');

stepfree = stepfree(1000:4000,120);
stepzero = stepzero(1000:4000,120);
step15 = step15(1000:4000,120);
step30 = step30(1000:4000,120);

stepfree = stepfree-mean(stepfree);
stepzero = stepzero-mean(stepzero);
step15 = step15-mean(step15);
step30 = step30-mean(step30);

stepfree = stepfree - polyval(polyfit((1:length(stepfree)).',stepfree,1),(1:length(stepfree)).',1);
stepzero = stepzero - polyval(polyfit((1:length(stepfree)).',stepzero,1),(1:length(stepfree)).',1);
step15 = step15 - polyval(polyfit((1:length(stepfree)).',step15,1),(1:length(stepfree)).',1);
step30 = step30 - polyval(polyfit((1:length(stepfree)).',step30,1),(1:length(stepfree)).',1);

vsfree = datav(stepfree(:));
vszero = datav(stepzero(:));
vs15 = datav(step15(:));
vs30 = datav(step30(:));

figure
plot(stepzero(1:length(stepfree)-1),vszero,'r.')
hold on
plot(step15(1:length(stepfree)-1),vs15,'g.')
plot(step30(1:length(stepfree)-1),vs30,'c.')
plot(stepfree(1:length(stepfree)-1),vsfree,'b.')

xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
title('lateral CG phase plot, MHR step-up')
legend('0% BWS','15% BWS','30% BWS', 'free')

figure
subplot(2,2,1), plot(stepfree(1:length(stepfree)-1),vsfree,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, free')
subplot(2,2,2), plot(stepzero(1:length(stepfree)-1),vszero,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, 0% BWS')
subplot(2,2,3), plot(step15(1:length(stepfree)-1),vs15,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, 15% BWS')
subplot(2,2,4), plot(step30(1:length(stepfree)-1),vs30,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, 30% BWS')