% makes 4 window phase plot of stepping data
% enter centered or non-centered data
% function stepplot(free, zero, fifteen, thirty);

function stepplot(free, zero, fifteen, thirty);

vsfree = datav(free);
vszero = datav(zero);
vs15 = datav(fifteen);
vs30 = datav(thirty);

figure
subplot(2,2,1), plot(free(1:length(free)-1),vsfree,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, free')
subplot(2,2,2), plot(zero(1:length(zero)-1),vszero,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, 0% BWS')
subplot(2,2,3), plot(fifteen(1:length(fifteen)-1),vs15,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, 15% BWS')
subplot(2,2,4), plot(thirty(1:length(thirty)-1),vs30,'k.')
xlabel('lateral CG position, cm')
ylabel('lateral CG velocity, cm/s')
grid on
axis([-8 8 -50 50])
title('lateral CG phase plot, MHR step-up, 30% BWS')

figure
subplot(2,2,1), plot(free(1:length(free)-1),'k.')
grid on
subplot(2,2,2), plot(zero(1:length(zero)-1),'k.')
grid on
subplot(2,2,3), plot(fifteen(1:length(fifteen)-1),'k.')
grid on
subplot(2,2,4), plot(thirty(1:length(thirty)-1),'k.')
grid on